#version 3.8;

global_settings{ assumed_gamma 1.0 }

#declare RadAngleCam = tanh( 0.5 );
#declare Y_New = sin( RadAngleCam );

camera{
	spherical
	angle 360, 180
	location <0, 0, 0>
	look_at <0, 0, 8>
	sky y
	right image_width / image_height * x
	up 1*y
	direction z
	//rotate -45*x
	//rotate -degrees( RadAngleCam )*x
}

light_source{ <1, 3, -4>*100000 color srgb 1 }

#include "colors.inc"
#include "./skies.inc"

#declare SkiesSph = array[5]{   sky_sphere{ S_Cloud1}, 
								sky_sphere{ S_Cloud2}, 
								sky_sphere{ S_Cloud3}, 
								sky_sphere{ S_Cloud4},
								sky_sphere{ S_Cloud5} }

sky_sphere{ SkiesSph[clock] }